ext {

    env = [
            jdk_version      : JavaVersion.VERSION_1_8,
            kotlin_version   : "1.4.21",

            compileSdkVersion: 29,
            buildToolsVersion: '29.0.3',
            minSdkVersion    : 21,
            targetSdkVersion : 28,
            applicationId    : "com.dlc.eboard",
            versionCode      : 19,
            versionName      : "1.1.9-alpha"
    ]

    test = [
            junit       : "junit:junit:4.12",
            extJunit    : "androidx.test.ext:junit:1.1.2",
            espressoCore: "androidx.test.espresso:espresso-core:3.3.0",
    ]

    dep = [
            kotlinStdlib                 : 'org.jetbrains.kotlin:kotlin-stdlib:${env.kotlin_version}',
            androidxCoreKtx              : 'androidx.core:core-ktx:1.3.1',
            androidxAppCompat            : 'androidx.appcompat:appcompat:1.2.0',
            androidxConstraintlayout     : 'androidx.constraintlayout:constraintlayout:2.0.1',
            androidMaterial              : 'com.google.android.material:material:1.2.1',
            androidxLocalbroadcastmanager: 'androidx.localbroadcastmanager:localbroadcastmanager:1.0.0',
            androidxSwipeRefreshLayout   : "androidx.swiperefreshlayout:swiperefreshlayout:1.0.0",
            androidMultidex              : "com.android.support:multidex:1.0.3",
            kotlinxCoroutinesCore        : 'org.jetbrains.kotlinx:kotlinx-coroutines-core:1.3.7',
            kotlinxCoroutinesAndroid     : 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.1.1',

            okhttp3                      : 'com.squareup.okhttp3:okhttp:3.14.9',
            okhttp3Logs                  : 'com.squareup.okhttp3:logging-interceptor:3.14.9',
            gson                         : 'com.google.code.gson:gson:2.8.6',
            retrofit                     : 'com.squareup.retrofit2:retrofit:2.9.0',
            converterGson                : 'com.squareup.retrofit2:converter-gson:2.9.0',
            converterScalars             : 'com.squareup.retrofit2:converter-scalars:2.9.0',
            rxJavaAdapter                : 'com.squareup.retrofit2:adapter-rxjava2:2.9.0',
            rxJava                       : 'io.reactivex.rxjava2:rxjava:2.2.21',
            rxAndroid                    : 'io.reactivex.rxjava2:rxandroid:2.1.1',
            rxKotlin                     : 'io.reactivex.rxjava2:rxandroid:2.4.0',

            luban                        : 'top.zibin:Luban:1.1.8',
            RecyclerViewAdapterHelper    : 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4',
            eventbus                     : 'org.greenrobot:eventbus:3.2.0',
            rxpermissions                : 'com.github.tbruyelle:rxpermissions:0.11',
            glide                        : 'com.github.bumptech.glide:glide:4.11.0',
            buglySDK                     : 'com.tencent.bugly:crashreport:3.4.4',
            buglyNDK                     : 'com.tencent.bugly:nativecrashreport:3.9.2',
            mqttv3                       : 'org.eclipse.paho:org.eclipse.paho.client.mqttv3:1.2.0',
            bgaZxing                     : 'com.github.bingoogolapple.BGAQRCode-Android:zxing:1.3.8',
    ]

}